plugins {
    id 'com.android.library'
    id 'org.jetbrains.kotlin.android'
    id 'kotlin-android-extensions'
}

android {

    compileSdkVersion rootProject.ext.android["compileSdkVersion"]
    buildToolsVersion rootProject.ext.android["buildToolsVersion"]

    defaultConfig {
        minSdkVersion rootProject.ext.android["minSdkVersion"]
        targetSdkVersion rootProject.ext.android["targetSdkVersion"]
    }

    buildTypes {
        // 因为支付宝刷脸需要包名一致，所以以后仅使用release版本，不再使用debug版本
        release {
            // 服务器地址
            // 正式
            buildConfigField("String", "BASE_URL", "\"https://tx.hz-hanghui.com:8088/\"")
            // 测试
//            buildConfigField("String", "BASE_URL", "\"https://test.hz-hanghui.com:18890/\"")
            buildConfigField("String", "BASE_API_URL", "\"hanghui-server-platform/\"")
            buildConfigField("String", "BASE_URL_OMC", "\"https://hhomc.hz-hanghui.com:8096/\"")
            // aidl服务端包名
            buildConfigField("String", "AIDL_SERVER_APP_PACKAGE_NAME", "\"com.hh.hhomc\"")
            resValue "string", "app_name", "HHArome"
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'

            //自定义Gradle常量
            buildConfigField("boolean", "LOG_DEBUG", "false")
            buildConfigField("String", "LOG_TAG", "\"HHArome\"")
            buildConfigField("String", "SP_NAME", "\"Sp_Config\"")
        }
    }




    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }
}

dependencies {
    implementation fileTree(dir: 'libs', include: ['*.jar'])
    implementation  rootProject.ext.dependencies["appcompat"]
    implementation  rootProject.ext.dependencies["material"]

    implementation  rootProject.ext.dependencies["rxjava2"]
    implementation  rootProject.ext.dependencies["rxandroid2"]


    implementation  rootProject.ext.dependencies["okhttp3"]
    implementation  rootProject.ext.dependencies["okhttp3-log"]
    implementation  rootProject.ext.dependencies["retrofit"]
    implementation  rootProject.ext.dependencies["retrofit-gson"]
    implementation  rootProject.ext.dependencies["retrofit-adapter-rxjava"]
    implementation("com.github.bumptech.glide:okhttp3-integration:4.12.0" ) {
        exclude group: "com.android.support"
    }
    implementation  rootProject.ext.dependencies["eventbus"]
    //国密ma4加解密及签名
    implementation 'com.blankj:utilcodex:1.31.1'
    implementation files('libs\\posutil_sdk_20231226.jar')
    //沉浸式
    implementation  rootProject.ext.dependencies["immersionbar"]
    api rootProject.ext.dependencies["autosize"]


}